<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\{ArrayCollection, Collection};
use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'expansion_slot', schema: 'collection')]
#[ORM\Entity]
class ExpansionSlot {
	use GetSet;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	#[ORM\SequenceGenerator(sequenceName: 'expansion_slot_id_seq', allocationSize: 1, initialValue: 1)]
	private int $id;

	#[ORM\Column(name: 'name', unique: TRUE, nullable: FALSE)]
	private string $name;
}
