<?php declare(strict_types=1);

namespace App\Entity;


use App\Repository\GpuRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'gpu', schema: 'collection')]
#[ORM\Entity(repositoryClass: GpuRepository::class)]
class Gpu {
	use GetSet;
	use GpuBase;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	private int $id;
}
