<?php declare(strict_types=1);

namespace App\Entity;

use App\Repository\GpuRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * Gpu.previouslyOwnedGpu
 */
#[ORM\Table(name: 'previously_owned_gpu', schema: 'collection')]
#[ORM\Entity(repositoryClass: GpuRepository::class)]
class PreviouslyOwnedGpu {
	use GetSet;
	use GpuBase;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	#[ORM\SequenceGenerator(sequenceName: 'prevously_owned_gpu_id_seq', allocationSize: 1, initialValue: 1)]
	private int $id;
}

